# Provision a new application

> **PRERELEASE**

#### Description
Provision a new application owned by the administrative account.

#### URL format
```
{data_center_url}/v1/applications
```

#### Example Request
```http
POST /v1/applications HTTP/1.1
Host: {data_center_url}
Authorization: Bearer {ADMIN_API_KEY}
Content-Type: application/json; charset=utf-8

{
  "name": "Example app",
  "url": "https://example.com"
}
```

#### Example Response
```http
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
  "oauth_client": {
    "client_id": "HSuA5GiGjjD6Qth1X9JE",
    "client_secret": "wku6HEf0ZCvb5D9okmPl",
  }
}
```

#### Request Parameters
##### `data_center_url` *(required)*

The URL for the data center you want to communicate with. Possible choices are:

- `api-au.cronofy.com` - Australia
- `api-ca.cronofy.com` - Canada
- `api-de.cronofy.com` - Germany
- `api-sg.cronofy.com` - Singapore
- `api-uk.cronofy.com` - United Kingdom
- `api.cronofy.com` - United States

Find out more about [Cronofy's data centers](/developers/data-centers/index.md).
##### `ADMIN_API_KEY` *(required)*

The admin API key for the account that will own the application, taken from the `Admin API` section in your Cronofy
developer dashboard. Please refer to [Managing Admin API Keys](/developers/admin-api/index.md) for steps on how to do this.

##### `name` *(required)*

The name of your application as a [`String`](/developers/api/data-types/index.md).
This will be displayed to users as they go through authorization processes.

##### `url` *(required)*

The URL of your application as a [`String`](/developers/api/data-types/index.md).
This is usually the homepage of the application or similar.

This may be provided to the user by Cronofy when they may be unsure what an
authorization is used for.

Note that this is **not** a redirect URI permitted for use within an OAuth flow.

#### Response Parameters
##### `oauth_client.client_id`

Your application's OAuth client identifier for use within OAuth authorization
processes as a [`String`](/developers/api/data-types/index.md).

##### `oauth_client.client_secret`

Your application's OAuth client secret for use within OAuth authorization
processes as a [`String`](/developers/api/data-types/index.md).

This can be used to make application-level API calls for several endpoints.

Note that this value will only be returned from the API after creation. If not
stored at this time it can be found within your developer dashboard.



---
[Read in HTML](/developers/admin-api/provision-application/)